with open('data/problem_1_question_4.fasta', 'r') as f:
    lines = f.readlines()


L = []
for line in lines:
    L.append(line.strip().strip('>'))

# list comprehension
L = [line.strip().strip('>') for line in lines]

# list comprehension with if-clause

labels    = [line.strip().strip('>') for line in lines if line.find('sequence') >= 0]
sequences = [line.strip().strip('>') for line in lines if line.find('sequence') <  0]

# zip

nucleos = [list(seq) for seq in sequences] 

for i in range(0,3):
    print(nucleos[i][0:5])

print()

for i in zip(nucleos[0][0:5],nucleos[1][0:5],nucleos[2][0:5]):
    print(i)
    print(i.count('A'))
