import numpy as np
import matplotlib.pyplot as plt

data_1 = np.load('../../solutions/marta/iPythonNotebooks/PS02-ice_data/ice_data//20060815.npy')

fig, axes = plt.subplots(nrows=2, ncols=2)
for ax in axes.flat:
#    im = ax.imshow(np.random.random((10,10)), vmin=0, vmax=1)
    im = ax.imshow(data_1, vmin=0, vmax=1)

fig.subplots_adjust(right=0.8)
cbar_ax = fig.add_axes([0.85, 0.15, 0.05, 0.7])
fig.colorbar(im, cax=cbar_ax)

#plt.show()
